Page MenuHomePhabricator

ULS' input tool doesn't work with new 'Wikitext syntax highlighting beta feature'
Closed, DuplicatePublic

Description

In Chromium browser (and Google Chrome), while trying to type in Malayalam using transliteration, Malayalam inscript or Malayalam inscript 2 keyboards available in ULS, Malayalam letters appear but revert to English on next keystroke if Wikitext syntax highlighting (CodeMirror ?) is enabled from the beta features.

In firefox, ULS keyboards work as expected but sometimes input fields freeze and no letters appear at all. But every time ULS' keyboard widget appears in an absurd position, and menu dropdown appears away from the widget (Main edit field).

Once Wikitext syntax highlighting disabled, everything goes back to normal. Please note that this happens only in 'Source editing' (ULS' inputs work pefectly in 'visual editing' mode)

Tested browsers:
Chromium Version 65.0.3325.181 (Official Build) Built on Ubuntu, running on LinuxMint Cinnamon 64 bit
Googe Chrome Version 66.0.3359.117 (Official Build) (64-bit)

Firefox 59.0.2, LinuxMint Cinnamon 64 bit

To recreate the problem:

  1. Go to user preference, enable Wikitext syntax highlighting from beta features section
  2. Go to some edit window (eg: https://ml.wikipedia.org/w/index.php?title=Test1&action=edit&redlink=1)
  3. Type using ULS in visual editor's 'Source editing' mode

Event Timeline

Praveenp created this task.Apr 29 2018, 2:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2018, 2:46 PM
Restricted Application added a project: Community-Tech. · View Herald TranscriptApr 29 2018, 10:34 PM

Thank you very much for the well-written bug report! I think this is the same issue we've been discussing at T171374#4049636. We hope to have this fixed soon. I have not heard about the Firefox issue before but we'll try to make sure that is working, too.

To keep things in one place, I'm going to merge this into T171374, but I will copy over your description (again thank you, most bug reports aren't this informative!)

Vvjjkkii renamed this task from ULS' input tool doesn't work with new 'Wikitext syntax highlighting beta feature' to o0daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
MusikAnimal renamed this task from o0daaaaaaa to ULS' input tool doesn't work with new 'Wikitext syntax highlighting beta feature'.Jul 1 2018, 3:04 AM
MusikAnimal updated the task description. (Show Details)
MusikAnimal closed this task as Invalid.Jul 1 2018, 3:08 AM
MusikAnimal raised the priority of this task from High to Needs Triage.
CommunityTechBot changed the task status from Invalid to Duplicate.Jul 5 2018, 6:33 PM